## bird2 2.0.4

=== conf/Makefile ===
src := cf-parse.tab.c cf-lex.c conf.c
obj := $(src-o-files)

$(all-daemon)

tests_objs := $(tests_objs) $(src-o-files)

ifdef DEBUG
BISON_DEBUG=-t
#FLEX_DEBUG=-d
endif

$(conf-y-targets): $(s)confbase.Y $(s)flowspec.Y
	$(M4) $(M4FLAGS) -P $| $^ >$@

$(o)cf-parse.y: | $(s)gen_parser.m4
$(o)keywords.h: | $(s)gen_keywords.m4
$(o)commands.h: | $(s)gen_commands.m4 $(srcdir)/client/cmds.m4

$(o)cf-parse.tab.h: $(o)cf-parse.tab.c

$(o)cf-parse.tab.c: $(o)cf-parse.y
	$(BISON) $(BISON_DEBUG) $(BISONFLAGS) -dv -pcf_ -b $(@:.tab.c=) $<

$(o)cf-lex.c: $(s)cf-lex.l
	$(FLEX) $(FLEX_DEBUG) -f -s -B -8 -Pcf_ -o$@ $<

$(o)cf-lex.o: $(o)cf-parse.tab.h $(o)keywords.h
$(o)cf-lex.o: CFLAGS+=-Wno-sign-compare -Wno-unused-function

$(addprefix $(o), cf-parse.y keywords.h commands.h cf-parse.tab.h cf-parse.tab.c cf-lex.c): $(objdir)/.dir-stamp

$(call clean,cf-parse.tab.h cf-parse.tab.c cf-parse.y keywords.h commands.h cf-lex.c cf-parse.output)

=== debian/changelog ===
bird2 (2.0.4-1) unstable; urgency=medium

  [ Ondrej Zajicek ]
  * Update man page
  * Update pkg description
  * Change libssh flavor to libssh-gcrypt
  * Remove obsolete packages from Conflicts
  * Update links to bird.network.cz
  * Add BIRD documentation package
  * Minor cleanups
  * Revert /etc and /run dirs and user/group back to bird
  * Fix systemd
  * Handle collisions between bird and bird2
  * Fix dependency version
  * Add NEWS and README
  * Update copyright file

  [ Ondřej Surý ]
  * New upstream version 2.0.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Mar 2019 08:12:28 +0000

bird2 (2.0.3-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 2.0.3
  * Add libssh-dev to Build-Depends for RPKI
  * Remove all Debian patches
  * Remove the documentation package
  * Add /usr/sbin/birdcl to the package
  * Bump the debhelper compatibility level to 12

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Jan 2019 10:16:00 +0000

bird2 (2.0.0-1) unstable; urgency=low

  * New upstream version 2.0.0
  * Dummy changelog entry, to be deleted

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Jan 2019 08:56:09 +0000

bird (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Jan 2019 08:56:09 +0000

bird (1.6.4-1) unstable; urgency=medium

  * Update Vcs-* to salsa.d.o
  * Constraint the d/watch to bird 1.x.x
  * New upstream version 1.6.4
  * Rebase patches for BIRD 1.6.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 Apr 2018 13:35:23 +0000

bird (1.6.3-1) unstable; urgency=medium

  * Imported Upstream version 1.6.3
  * Rebase patches on top of 1.6.3 release
  * Add texlive-latex-extra to build-depends to add enumitem.sty to the
    system

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Dec 2016 22:54:45 +0100

bird (1.6.2-3) unstable; urgency=medium

  [ Ondrej Zajicek ]
  * Add upstream patch to fix memory leak in graceful restart code

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 14:02:18 +0100

bird (1.6.2-2) unstable; urgency=medium

  * Add missing --restart-after-upgrade to dh_installinit

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Oct 2016 11:53:45 +0200

bird (1.6.2-1) unstable; urgency=high

  * Imported Upstream version 1.6.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Sep 2016 20:48:49 +0200

bird (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2016 11:40:33 +0200

bird (1.6.0-4) unstable; urgency=medium

  * Use opensp instead of sp (Closes: #837870)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2016 12:12:12 +0200

bird (1.6.0-3) unstable; urgency=medium

  * Add explicit dh_systemd_enable call in d/rules

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Sep 2016 17:52:37 +0200

bird (1.6.0-2) unstable; urgency=medium

  * Enable dh_systemd_* where available
  * Migrate from a manual "-dbg" package (created with --dbg-package) to
    an automatic generated debug symbol package.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Aug 2016 11:02:37 +0200

bird (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0
  * Update patches on top of 1.6.0 release

 -- Ondřej Surý <ondrej@debian.org>  Sat, 30 Apr 2016 21:16:16 +0200

bird (1.5.0-5) unstable; urgency=medium

  * Fix Vcs-Browser URL
  * Fix typo in bird-doc package (Closes: #802029)
  * Return the upstart scripts back for now

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2016 19:22:27 +0100

bird (1.5.0-4) unstable; urgency=medium

  * Fix foo->bird typo in postrm

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2015 15:56:03 +0200

bird (1.5.0-3) unstable; urgency=medium

  * Use IPv4 router id in IPv6 example to unbreak default config
  * Use UCF_FORCE_CONFFOLD to force ucf to always use user version of bird
    conffile (Closes: 784852)
  * Remove dpkg-maintscript-helper scripts also from bird.postinst
  * Add old md5sum for bird.conf(s) to prevent dialogues when upgrading
    from jessie and 1.5.0-1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2015 08:03:06 +0200

bird (1.5.0-2) unstable; urgency=medium

  * Fix extra bird.conf/ directory in /usr/share/bird/

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 May 2015 12:05:33 +0200

bird (1.5.0-2~exp1) experimental; urgency=medium

  * Add TEXINPUTS=.:tex: to latex invocation to fix documentation build
  * Change conffile handling to use ucf (Closes: #731243)
  * Cleanup bird-bgp and make it a transitional package
  * Delete upstart scripts

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 May 2015 10:12:10 +0200

bird (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
   o Major OSPF protocol redesign.
   o OSPFv2 multi-instance extension (RFC 6549).
   o BGP AS-wide unique router ID (RFC 6286).
   o BGP enhanced route refresh (RFC 7313).
   o Link state support in BGP.
   o Latency tracking and internal watchdog.
   o Uses high port range for BFD on BSD.
   o Increase max symbol length to 64.
   o Allows to define unnamed protocols from templates.
   o Fixes two serious bugs in BGP.
   o Several bugfixes and minor improvements.
   o Several minor option changes:
     - OSPF: Protocol-wide 'instance id' option added.
     - BGP: Parameters to option 'neighbor' extended.
     - BGP: Separate option 'interface' added.
     - BGP: Option 'start delay time' renamed to 'connect delay time'.
     - BGP: Option 'route limit' deprecated.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Apr 2015 20:41:30 +0200

bird (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
   o New 'show route noexport' command option.
   o Port option for BGP sessions.
   o Better constant handling in set literals.
   o Better rate filtering of log messages.
   o Several minor bugfixes.



=== debian/control ===
Source: bird2
Section: net
Priority: optional
Build-Depends: bison,
               debhelper (>= 12~),
               debhelper-compat (= 12),
               docbook-xsl,
               flex,
               libncurses5-dev,
               libreadline-dev | libreadline6-dev | libreadline5-dev,
               libssh-gcrypt-dev,
               linuxdoc-tools-latex,
               m4,
               opensp,
               quilt,
               texlive-latex-extra,
               xsltproc
Maintainer: Ondřej Surý <ondrej@debian.org>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/bird2
Vcs-Git: https://salsa.debian.org/debian/bird2.git
Homepage: https://bird.network.cz/

Package: bird2
Architecture: kfreebsd-any linux-any
Pre-Depends: init-system-helpers (>= 1.56~),
             ${misc:Pre-Depends}
Depends: adduser,
         lsb-base,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: bird
Suggests: bird2-doc
Description: Internet Routing Daemon
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 BIRD supports IPv4 and IPv6 versions of OSPF, RIP, BGP and Babel routing
 protocols. It also supports supplementary protocols like BFD, RPKI-Router
 and IPv6 router advertisements.

Package: bird2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Internet Routing Daemon - documentation
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the user and developer documentation.

## bird2 2.0.5

=== debian/changelog ===
bird2 (2.0.5-1) unstable; urgency=medium

  * Specify debhelper compatibility only using debhelper-compat
  * New upstream version 2.0.5

 -- Ondřej Surý <ondrej@sury.org>  Mon, 05 Aug 2019 10:18:17 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

COMMON_FLAGS= --prefix=/usr --sysconfdir=/etc/bird --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info --localstatedir=/var --runstatedir=/run/bird \
	--docdir=\$${prefix}/share/bird2 \
	--enable-client

CFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC
LDFLAGS += -g -O2 -fno-strict-aliasing -fno-strict-overflow -fPIC -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- $(COMMON_FLAGS) --with-protocols=all

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installinit:
	dh_installinit --name=bird --restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd --name=bird --restart-after-upgrade

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

bird.8: debian/bird.xml
	$(XP) $(DB2MAN) $<

override_dh_installman: bird.8
	dh_installman

override_dh_clean:
	dh_clean
	-rm -f bird.8 birdc.8

override_dh_missing:
	dh_missing  --fail-missing

## bird2 2.0.7

=== doc/Makefile ===
# Force rebuilds
.PHONY: progspell docs progdocs userdocs

doc-srcdir := $(shell cd $(s) && pwd)
sgml2 := $(doc-srcdir)/sgml2

docs: progdocs userdocs

doc-fmt = $(1): $(o)prog.$(1) $(o)bird.$(1)
$(call doc-fmt,html)
$(call doc-fmt,dvi)
$(call doc-fmt,ps)
$(call doc-fmt,pdf)

progdocs: $(o)prog.html $(o)prog.pdf
userdocs: $(o)bird.html $(o)bird.pdf
progspell: $(o)prog.spell

$(o)prog.sgml: $(srcdir)/tools/progdoc $(objdir)/.dir-stamp
	$(srcdir)/tools/progdoc $(srcdir) $@

$(o)%.sgml: $(s)%.sgml $(objdir)/.dir-stamp
	cp $< $@

$(o)%.html: $(o)%.sgml
	cd $(dir $@) && $(sgml2)html $(notdir $<)

$(o)%.tex: $(o)%.sgml
	cd $(dir $@) && $(sgml2)latex --output=tex $(notdir $<)

$(o)%.dvi: $(o)%.tex
	cd $(dir $@) && TEXINPUTS=$(TEXINPUTS):$(doc-srcdir)/tex latex $(notdir $<)
	cd $(dir $@) && TEXINPUTS=$(TEXINPUTS):$(doc-srcdir)/tex latex $(notdir $<)

$(o)%.ps: $(o)%.dvi
	dvips -D600 -ta4 -o $@ $<

$(o)%.pdf: $(o)%.tex
	TEXINPUTS=$(TEXINPUTS):$(doc-srcdir)/tex pdflatex -output-directory=$(dir $@) $<
	TEXINPUTS=$(TEXINPUTS):$(doc-srcdir)/tex pdflatex -output-directory=$(dir $@) $<

$(o)%.txt: $(o)%.sgml
	cd $(dir $@) && $(sgml2)txt $(notdir $<)

$(o)prog.spell: $(o)prog.sgml $(s)prog-spell.sed
	sed -f $(lastword $^) <$< >$@
	ispell $@

$(call clean,prog.spell $(addprefix *.,html dvi ps pdf sgml tex txt aux log toc))

=== lib/Makefile ===
src := bitops.c checksum.c event.c flowspec.c idm.c ip.c lists.c mac.c md5.c mempool.c net.c patmatch.c printf.c resource.c sha1.c sha256.c sha512.c slab.c slists.c strtoul.c tbf.c timer.c xmalloc.c
obj := $(src-o-files)
$(all-daemon)

tests_src := heap_test.c buffer_test.c event_test.c flowspec_test.c bitops_test.c patmatch_test.c fletcher16_test.c slist_test.c checksum_test.c lists_test.c mac_test.c ip_test.c hash_test.c printf_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

=== nest/Makefile ===
src := a-path.c a-set.c cli.c cmds.c iface.c locks.c neighbor.c password.c proto.c rt-attr.c rt-dev.c rt-fib.c rt-show.c rt-table.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_src := a-set_test.c a-path_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

=== debian/changelog ===
bird2 (2.0.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix collect2: error: ld returned 1 exit status (Closes: #966906)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 02 Jan 2021 18:12:44 +0100

bird2 (2.0.7-4) unstable; urgency=medium

  * Sync the linuxdoc mangled files with linuxdoc-tools_0.9.73-2
    (Closes: #959642)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 May 2020 10:29:24 +0200

bird2 (2.0.7-3) unstable; urgency=medium

  * Don't use /usr/share/doc as ucf source (Closes: #945336)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Mar 2020 10:19:30 +0100

bird2 (2.0.7-2) unstable; urgency=medium

  * Don't compress the bird.conf configuration file

 -- Ondřej Surý <ondrej@sury.org>  Wed, 23 Oct 2019 10:33:19 +0200

bird2 (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7

 -- Ondřej Surý <ondrej@sury.org>  Thu, 17 Oct 2019 11:08:52 +0200

bird2 (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6

 -- Ondřej Surý <ondrej@sury.org>  Mon, 16 Sep 2019 16:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: net
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 12~),
                debhelper-compat (= 12),
                docbook-xsl,
                flex,

=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,6 @@
 
 override_dh_missing:
 	dh_missing  --fail-missing
+
+override_dh_compress:
+	dh_compress -X.conf

## bird2 2.0.8

=== filter/Makefile ===
src := filter.c data.c f-util.c tree.c trie.c inst-gen.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

#M4FLAGS_FILTERS=$(filter-out -s,$(M4FLAGS))
M4FLAGS_FILTERS=$(M4FLAGS)

$(o)inst-gen.h: $(s)decl.m4 $(s)f-inst.c $(objdir)/.dir-stamp
	$(M4) $(M4FLAGS_FILTERS) -DTARGET=H -P $^ >$@

$(o)inst-gen.c: $(s)decl.m4 $(s)f-inst.c $(objdir)/.dir-stamp
	$(M4) $(M4FLAGS_FILTERS) -DTARGET=C -P $^ >$@

$(o)inst-interpret.c: $(s)decl.m4 $(s)f-inst.c $(objdir)/.dir-stamp
	$(M4) $(M4FLAGS_FILTERS) -DTARGET=I -P $^ >$@

prepare: $(o)inst-interpret.c $(o)inst-gen.h

tests_src := tree_test.c filter_test.c trie_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

$(call clean,inst-gen.h inst-gen.c inst-interpret.c)

=== lib/Makefile ===
src := bitmap.c bitops.c checksum.c event.c flowspec.c idm.c ip.c lists.c mac.c md5.c mempool.c net.c patmatch.c printf.c resource.c sha1.c sha256.c sha512.c slab.c slists.c strtoul.c tbf.c timer.c xmalloc.c
obj := $(src-o-files)
$(all-daemon)

tests_src := bitmap_test.c heap_test.c buffer_test.c event_test.c flowspec_test.c bitops_test.c patmatch_test.c fletcher16_test.c slist_test.c checksum_test.c lists_test.c mac_test.c ip_test.c hash_test.c printf_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

=== sysdep/unix/Makefile ===
src := io.c krt.c log.c main.c random.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)
$(conf-y-targets): $(s)krt.Y

src := $(filter-out main.c, $(src))
tests_objs := $(tests_objs) $(src-o-files)

=== debian/changelog ===
bird2 (2.0.8-2) unstable; urgency=medium

  * Source-only upload to allow migration

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 02 Sep 2021 12:21:12 +0000

bird2 (2.0.8-1) experimental; urgency=medium

  * remove upstream .gitlab-ci.yml
  * d/salsa-ci.yml: enable Debian Salsa CI
  * d/watch: update uscan watch file
  * d/patches: remove patch merged upstream
  * d/control: make myself new Maintainer
  * CI: remove upstream .gitlab-ci.yml
  * CI: allow failures for blhc and reprotest
  * set debian-release to experimental

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 18 Aug 2021 13:10:55 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
                quilt,
                texlive-latex-extra,
                xsltproc
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/bird2
 Vcs-Git: https://salsa.debian.org/debian/bird2.git

=== debian/watch ===
version=3
https://bird.network.cz/download/bird-(2\.[\d.]+).tar.gz

## bird2 2.0.10

=== debian/changelog ===
bird2 (2.0.10-2) unstable; urgency=medium

  * d/patches: add patch to increase tests timeout

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 28 Jun 2022 15:33:59 +0000

bird2 (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10
  * d/patches: remove patch included upstream

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 27 Jun 2022 17:38:54 +0000

bird2 (2.0.9-3) unstable; urgency=medium

  * Rebuild after an incorrect upload.

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 13 Apr 2022 16:03:55 +0000

bird2 (2.0.9-2) unstable; urgency=medium

  * d/patches: add upstream patch to fix babel bug (Closes: #1009237)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 13 Apr 2022 15:24:44 +0000

bird2 (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9
  * d/patches: remove outdated patch
  * d/control: update Standards-Version to 4.6.0

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 30 Mar 2022 19:07:46 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                xsltproc
 Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/bird2
 Vcs-Git: https://salsa.debian.org/debian/bird2.git
 Homepage: https://bird.network.cz/

## bird2 2.0.12

=== doc/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Force rebuilds
 .PHONY: progspell docs progdocs userdocs
 
-doc-srcdir := $(shell cd $(s) && pwd)
-sgml2 := $(doc-srcdir)/sgml2
+doc-srcdir := $(realpath $(srcdir)/doc)
+toolsdir := $(realpath $(srcdir)/tools)
 
 docs: progdocs userdocs
 
@@ -23,10 +23,10 @@
 	cp $< $@
 
 $(o)%.html: $(o)%.sgml
-	cd $(dir $@) && $(sgml2)html $(notdir $<)
+	cd $(dir $@) && $(toolsdir)/linuxdoc -B html $(notdir $<)
 
 $(o)%.tex: $(o)%.sgml
-	cd $(dir $@) && $(sgml2)latex --output=tex $(notdir $<)
+	cd $(dir $@) && $(toolsdir)/linuxdoc -B latex --output=tex $(notdir $<)
 
 $(o)%.dvi: $(o)%.tex
 	cd $(dir $@) && TEXINPUTS=$(TEXINPUTS):$(doc-srcdir)/tex latex $(notdir $<)
@@ -40,7 +40,7 @@
 	TEXINPUTS=$(TEXINPUTS):$(doc-srcdir)/tex pdflatex -output-directory=$(dir $@) $<
 
 $(o)%.txt: $(o)%.sgml
-	cd $(dir $@) && $(sgml2)txt $(notdir $<)
+	cd $(dir $@) && $(toolsdir)/linuxdoc -B txt $(notdir $<)
 
 $(o)prog.spell: $(o)prog.sgml $(s)prog-spell.sed
 	sed -f $(lastword $^) <$< >$@

=== nest/Makefile ===
src := a-path.c a-set.c cli.c cmds.c iface.c locks.c neighbor.c password.c proto.c proto-build.c rt-attr.c rt-dev.c rt-fib.c rt-show.c rt-table.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

$(objdir)/nest/proto-build.c: $(lastword $(MAKEFILE_LIST))
	$(E)echo GEN $@
	$(Q)echo "$(patsubst %,void %_build(void); ,$(PROTO_BUILD)) void protos_build_gen(void) { $(patsubst %,  %_build(); ,$(PROTO_BUILD))}" > $@

tests_src := a-set_test.c a-path_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

=== debian/changelog ===
bird2 (2.0.12-7) unstable; urgency=medium

  [ Miao Wang ]
  * Fix for arm64 cross build

  [ Jakub Ružička ]
  * Add autopkgtest by upstream dev

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 26 Apr 2023 17:33:46 +0200

bird2 (2.0.12-6) unstable; urgency=medium

  * Add upstream patch to fix bgp_med handling

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 17 Apr 2023 15:18:52 +0200

bird2 (2.0.12-5) unstable; urgency=medium

  * Add upstream patch to fix early free in config

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 20 Feb 2023 18:14:15 +0100

bird2 (2.0.12-4) unstable; urgency=medium

  * Add patch to increase tests timeout

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 24 Jan 2023 12:59:59 +0100

bird2 (2.0.12-3) unstable; urgency=medium

  * Rebuild

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 24 Jan 2023 11:52:35 +0100

bird2 (2.0.12-2) unstable; urgency=medium

  * Don't Depend on obsolete lsb-base
  * Update Depends: libncurses5-dev -> libncurses-dev
  * Update version in debian/watch

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 23 Jan 2023 19:12:43 +0100

bird2 (2.0.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13. + debian/rules:
    Drop --fail-missing argument to dh_missing, which is now the default.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

  [ Jakub Ružička ]
  * Extend manpage for birdcl
  * Remove patch included upstream
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 23 Jan 2023 17:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: net
 Priority: optional
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                docbook-xsl,
                flex,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev | libreadline6-dev | libreadline5-dev,
                libssh-gcrypt-dev,
-               linuxdoc-tools-latex,
                m4,
+               quilt,
+               xsltproc
+Build-Depends-Indep: linuxdoc-tools-latex,
                opensp,
-               quilt,
-               texlive-latex-extra,
-               xsltproc
+               texlive-latex-extra
 Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/bird2
 Vcs-Git: https://salsa.debian.org/debian/bird2.git
 Homepage: https://bird.network.cz/
@@ -26,7 +26,6 @@
 Pre-Depends: init-system-helpers (>= 1.56~),
              ${misc:Pre-Depends}
 Depends: adduser,
-         lsb-base,
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- $(COMMON_FLAGS) --with-protocols=all
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
 override_dh_auto_install:
@@ -47,10 +46,10 @@
 
 override_dh_clean:
 	dh_clean
-	-rm -f bird.8 birdc.8
+	-rm -f bird.8 birdc.8 birdcl.8
 
 override_dh_missing:
-	dh_missing  --fail-missing
+	dh_missing 
 
 override_dh_compress:
 	dh_compress -X.conf

## bird2 2.14

=== debian/changelog ===
bird2 (2.14-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:04 +1100

bird2 (2.14-1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:52:51 +0100

bird2 (2.14-1) unstable; urgency=medium

  * New upstream version 2.14 (Closes: #1040031)
  * Remove patches now included upstream
  * Remove ancient debian/NEWS
  * Remove trailing whitespace from d/rules
  * Add d/bird2-doc.doc-base
  * Add Rules-Requires-Root: no to d/control

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 10 Oct 2023 13:14:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,14 @@
 Build-Depends-Indep: linuxdoc-tools-latex,
                opensp,
                texlive-latex-extra
-Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/bird2
 Vcs-Git: https://salsa.debian.org/debian/bird2.git
 Homepage: https://bird.network.cz/
+Rules-Requires-Root: no
 
 Package: bird2
 Architecture: kfreebsd-any linux-any

## bird2 2.15.1

=== debian/changelog ===
bird2 (2.15.1-1) unstable; urgency=medium

  * New upstream version 2.15.1

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Apr 2024 07:19:47 +0200

bird2 (2.15-1) unstable; urgency=medium

  * New upstream version 2.15

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 11 Mar 2024 14:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
 Build-Depends-Indep: linuxdoc-tools-latex,
                opensp,
                texlive-latex-extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
+Maintainer: Jakub Ružička <jakub.ruzicka@nic.cz>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/bird2

=== debian/tests/control ===
Tests: test-bird.sh
Restrictions: needs-root
Depends: bird2

## bird2 2.16.1

=== lib/Makefile ===
src := bitmap.c bitops.c blake2s.c blake2b.c checksum.c event.c flowspec.c idm.c ip.c lists.c mac.c md5.c mempool.c net.c patmatch.c printf.c resource.c sha1.c sha256.c sha512.c slab.c slists.c strtoul.c tbf.c timer.c xmalloc.c
obj := $(src-o-files)
$(all-daemon)

tests_src := bitmap_test.c heap_test.c buffer_test.c event_test.c flowspec_test.c bitops_test.c patmatch_test.c fletcher16_test.c slist_test.c checksum_test.c lists_test.c mac_test.c ip_test.c hash_test.c printf_test.c slab_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

=== nest/Makefile ===
src := a-path.c a-set.c cli.c cmds.c iface.c locks.c mpls.c neighbor.c password.c proto.c proto-build.c rt-attr.c rt-dev.c rt-fib.c rt-show.c rt-table.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)
$(conf-y-targets): $(s)mpls.Y

$(o)proto-build.c: Makefile $(lastword $(MAKEFILE_LIST)) $(objdir)/.dir-stamp
	$(E)echo GEN $@
	$(Q)echo "$(patsubst %,void %_build(void); ,$(PROTO_BUILD)) void protos_build_gen(void) { $(patsubst %,  %_build(); ,$(PROTO_BUILD))}" > $@

prepare: $(o)proto-build.c

tests_src := a-set_test.c a-path_test.c rt-fib_test.c
tests_targets := $(tests_targets) $(tests-target-files)
tests_objs := $(tests_objs) $(src-o-files)

=== proto/ospf/Makefile ===
src := dbdes.c hello.c iface.c lsack.c lsalib.c lsreq.c lsupd.c neighbor.c ospf.c packet.c rt.c topology.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)

=== debian/changelog ===
bird2 (2.16.1-cznic.1) unstable; urgency=medium

  * upstream package

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Sat, 11 Jan 2025 20:12:45 +0300

## bird2 2.17.1

=== test/Makefile ===
src := birdtest.c bt-utils.c
obj := $(src-o-files)
tests_objs := $(tests_objs) $(src-o-files)

=== proto/bmp/Makefile ===
src := bmp.c map.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)

=== proto/radv/Makefile ===
src := packets.c radv.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)

=== debian/changelog ===
bird2 (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1

 -- Jakub Ružička <jru@debian.org>  Tue, 06 May 2025 16:20:00 +0200

bird2 (2.17-1) unstable; urgency=medium

  * New upstream version 2.17

 -- Jakub Ružička <jru@debian.org>  Thu, 03 Apr 2025 22:29:28 +0200

bird2 (2.16.1-1) unstable; urgency=medium

  * New upstream version 2.16.1
  * Rename Salsa branch to debian/master
  * Remove Ondrej as Uploader per his request

 -- Jakub Ružička <jru@debian.org>  Mon, 13 Jan 2025 16:14:48 +0100

bird2 (2.16-1) unstable; urgency=medium

  * New upstream version 2.16
  * Reformat with wrap-and-sort -bast
  * Update my email address to jru@debian.org
  * Update Standards-Version to latest 4.7.0

 -- Jakub Ružička <jru@debian.org>  Thu, 12 Dec 2024 13:41:09 +0100

bird2 (2.15.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Depend on libssh's default flavor (Closes: #1074257)

 -- Bastian Germann <bage@debian.org>  Sat, 03 Aug 2024 21:13:57 +0000

=== debian/tests/control ===
Tests: test-bird.sh
Restrictions: needs-root
Depends:
 bird2,

## bird2 2.17.2

=== client/Makefile ===
src := commands.c util.c client.c
obj := $(src-o-files)

$(all-client)
$(conf-y-targets): $(s)cmds.Y

$(exedir)/birdc: $(o)birdc.o
$(exedir)/birdc: LIBS += $(CLIENT_LIBS)

$(exedir)/birdcl: $(o)birdcl.o

=== doc/Makefile ===
--- 
+++ 
@@ -20,10 +20,24 @@
 	$(srcdir)/tools/progdoc $(srcdir) $@
 
 $(o)%.sgml: $(s)%.sgml $(objdir)/.dir-stamp
-	cp $< $@
+	sed 's#{{ VERSION }}#$(VERSION)#' <$< >$@
 
 $(o)%.html: $(o)%.sgml
 	cd $(dir $@) && $(toolsdir)/linuxdoc -B html $(notdir $<)
+
+ifeq ($(PANDOC),)
+$(o)%.md: $(o)%.sgml
+	@echo "ERROR: No pandoc available, install pandoc to build documentation"
+	@false
+else
+LINUXDOC_PANDOC_PARSER := $(srcdir)/tools/linuxdoc.lua
+$(o)%.md: $(o)%.sgml $(LINUXDOC_PANDOC_PARSER) $(objdir)/.dir-stamp
+	$(PANDOC) -f $(LINUXDOC_PANDOC_PARSER) -s -t markdown -o $@ $<
+
+$(o)%-singlepage.html: $(o)%.md
+	$(PANDOC) -f markdown -t html5 -s -o $@ $<
+
+endif
 
 $(o)%.tex: $(o)%.sgml
 	cd $(dir $@) && $(toolsdir)/linuxdoc -B latex --output=tex $(notdir $<)

=== misc/Makefile ===
all: ips

ips: ips.c
	gcc ips.c -o ips -lm -O2 -Wall

clean:
	rm -f ips

=== nest/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 $(o)proto-build.c: Makefile $(lastword $(MAKEFILE_LIST)) $(objdir)/.dir-stamp
 	$(E)echo GEN $@
-	$(Q)echo "$(patsubst %,void %_build(void); ,$(PROTO_BUILD)) void protos_build_gen(void) { $(patsubst %,  %_build(); ,$(PROTO_BUILD))}" > $@
+	$(Q)( P='$(PROTO_BUILD)' && printf "void %s_build(void);\n" $$P && printf "\nvoid\nprotos_build_gen(void)\n{\n" && printf "  %s_build();\n" $$P && printf "}\n" ) > $@
 
 prepare: $(o)proto-build.c

=== proto/aggregator/Makefile ===
src := aggregator.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)

=== proto/bfd/Makefile ===
src := bfd.c io.c packets.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)

=== proto/perf/Makefile ===
src := perf.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)

=== sysdep/linux/Makefile ===
src := netlink.c
obj := $(src-o-files)
$(all-daemon)
$(conf-y-targets): $(s)netlink.Y

tests_objs := $(tests_objs) $(src-o-files)

=== sysdep/unix/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-src := io.c krt.c log.c main.c random.c
+src := alloc.c io.c krt.c log.c main.c random.c
 obj := $(src-o-files)
 $(all-daemon)
 $(cf-local)

=== debian/changelog ===
bird2 (2.17.2-1) unstable; urgency=medium

  * New upstream version 2.17.2
  * Update debian/watch for new BIRD download URL

 -- Jakub Ružička <jru@debian.org>  Fri, 26 Sep 2025 17:07:14 +0200

=== debian/control ===
Source: bird2
Section: net
Priority: optional
Build-Depends:
 bison,
 debhelper-compat (= 13),
 docbook-xsl,
 flex,
 libncurses-dev,
 libreadline-dev | libreadline6-dev | libreadline5-dev,
 libssh-dev,
 m4,
 quilt,
 xsltproc,
Build-Depends-Indep:
 linuxdoc-tools-latex,
 opensp,
 texlive-latex-extra,
Maintainer: Jakub Ružička <jru@debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/bird2
Vcs-Git: https://salsa.debian.org/debian/bird2.git
Homepage: https://bird.network.cz/
Rules-Requires-Root: no

Package: bird2
Architecture: kfreebsd-any linux-any
Pre-Depends:
 init-system-helpers (>= 1.56~),
 ${misc:Pre-Depends},
Depends:
 adduser,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 bird,
Suggests:
 bird2-doc,
Description: Internet Routing Daemon
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 BIRD supports IPv4 and IPv6 versions of OSPF, RIP, BGP and Babel routing
 protocols. It also supports supplementary protocols like BFD, RPKI-Router
 and IPv6 router advertisements.

Package: bird2-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Description: Internet Routing Daemon - documentation
 BIRD is an Internet routing daemon with full support for all the major
 routing protocols. It allows redistribution between protocols with a
 powerful route filtering syntax and an easy-to-use configuration
 interface.
 .
 This package provides the user and developer documentation.

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	-rm -f bird.8 birdc.8 birdcl.8
 
 override_dh_missing:
-	dh_missing 
+	dh_missing
 
 override_dh_compress:
 	dh_compress -X.conf

=== debian/watch ===
version=4
https://bird.nic.cz/download/ bird-(2\.[\d.]+).tar.gz

## bird2 2.17.3

=== debian/changelog ===
bird2 (2.17.3-2) unstable; urgency=medium

  * bird.service: fix the Environment directive. (Closes: #1123567)

 -- Marco d'Itri <md@linux.it>  Thu, 18 Dec 2025 20:55:46 +0100

bird2 (2.17.3-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer.
  * Use Restart=on-abnormal instead of on-abort. (Closes: #1099513)
  * Do not install an example /etc/bird/bird.conf anymore, because there
    is no useful BIRD configuration that can be enabled by default.
  * Create /etc/bird/ with standard permissions: the local admin can
    use appropriate permission for bird.conf if access to it needs to
    be restricted.
  * Create the bird user with no home directory for added security.

 -- Marco d'Itri <md@linux.it>  Wed, 17 Dec 2025 15:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,33 +4,29 @@
 Build-Depends:
  bison,
  debhelper-compat (= 13),
+ dh-sequence-installsysusers,
  docbook-xsl,
  flex,
  libncurses-dev,
- libreadline-dev | libreadline6-dev | libreadline5-dev,
+ libreadline-dev,
  libssh-dev,
  m4,
- quilt,
  xsltproc,
 Build-Depends-Indep:
  linuxdoc-tools-latex,
  opensp,
  texlive-latex-extra,
-Maintainer: Jakub Ružička <jru@debian.org>
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/debian/bird2
-Vcs-Git: https://salsa.debian.org/debian/bird2.git
+Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 4.7.2.0
+Vcs-Browser: https://salsa.debian.org/md/bird
+Vcs-Git: https://salsa.debian.org/md/bird.git -b debian/bird2/unstable
 Homepage: https://bird.network.cz/
-Rules-Requires-Root: no
 
 Package: bird2
-Architecture: kfreebsd-any linux-any
+Architecture: linux-any
 Pre-Depends:
- init-system-helpers (>= 1.56~),
  ${misc:Pre-Depends},
 Depends:
- adduser,
- ucf,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:
@@ -49,6 +45,7 @@
 
 Package: bird2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

=== debian/watch ===
Version: 5

Source: https://bird.nic.cz/download/
Matching-Pattern: bird-(2\.[\d.]+).tar.gz

## bird2 2.18

=== debian/changelog ===
bird2 (2.18-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Jan 2026 20:09:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# enable verbose messages from the Makefiles
export VERBOSE=1

COMMON_FLAGS=\
	--prefix=/usr \
	--sysconfdir=/etc/bird \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--localstatedir=/var \
	--runstatedir=/run/bird \
	--docdir=\$${prefix}/share/bird2 \
	--enable-client --with-protocols=all

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(COMMON_FLAGS)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installsystemd:
	dh_installsystemd --name=bird --restart-after-upgrade

bird.8: debian/bird.xml
	$(XP) $(DB2MAN) $<

override_dh_installman: bird.8
	dh_installman
